View Issue Details

IDProjectCategoryView StatusLast Update
0002127SymmetricDSBugpublic2015-10-28 08:00
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.0 
Target Version3.7.1Fixed in Version3.7.1 
Summary0002127: Tinyint is 0 to 255 on Sql Server. JTDS treats it as -128 to 127. The driver throws an error for values > 127.
DescriptionTinyint is 0 to 255 on Sql Server. JTDS treats it as -128 to 127. The driver throws an error for values > 127.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master a170d1a5

2015-01-08 20:43:27

chenson

Details Diff
0002127: Tinyint is 0 to 255 on Sql Server. JTDS treats it as -128 to 127. The driver throws an error for values > 127.
0002127
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File

SymmetricDS: 3.7 3a390006

2015-10-08 08:36:07

Hicks, Josh

Details Diff
0002127 - Adjustments to setenv for assigning SYM_HOME env variable to
work with PDQ deployer and others more robustly.

0002127
mod - symmetric-server/src/main/deploy/bin/setenv.bat Diff File

Issue History

Date Modified Username Field Change
2015-01-08 20:42 chenson New Issue
2015-01-08 20:42 chenson Status new => assigned
2015-01-08 20:42 chenson Assigned To => chenson
2015-01-08 20:43 chenson Status assigned => resolved
2015-01-08 20:43 chenson Fixed in Version => 3.7.1
2015-01-08 20:43 chenson Resolution open => fixed
2015-01-08 21:00 chenson Changeset attached => SymmetricDS trunk r9262
2015-01-13 14:46 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master a170d1a5
2015-10-28 08:00 Changeset attached => SymmetricDS 3.7 3a390006